<script setup lang="ts">
import { onMounted, ref } from 'vue'

import { type Product } from '@/types/Product'

import Dialog from '@/components/POSComponent/DialogItemDetail.vue'
import ProductList from '@/components/POSComponent/ProductList.vue'
import ReceiptDetailTable from './ReceiptDetailTable.vue'
import MemberCard from './MemberCard.vue'
import ReceiptCard from './ReceiptCard.vue'
import POSBtn from './POSBtn.vue'

import { useProductStore } from '@/stores/product'
import { useReceiptStore } from '@/stores/receipt'
import { nextTick } from 'vue'
import { provide } from 'vue'
import type { ReceiptItem } from '@/types/ReceiptItem'
import { usePromotionStore } from '@/stores/promotion'
import { useMembersStore } from '@/stores/member'
import { usePermissionStore } from '@/stores/permission'

const tab = ref(1)
const permissionStore = usePermissionStore()
const promotionStore = usePromotionStore()
const memberStore = useMembersStore()
const receiptStore = useReceiptStore()
const productStore = useProductStore()
const divReceiptItems = ref<HTMLElement | null>(null)
onMounted(async () => {
  if (!permissionStore.isEmp()) {
    permissionStore.pushMember()
  }
  await memberStore.getMembers()
  await productStore.getProducts()
  await productStore.getProductCategory()
  await promotionStore.getPromotions()
  receiptStore.clearReceipt()
  receiptStore.clearReceiptItem()
})
</script>
<template>
  <div class="page-background">
  <v-containner>
    <v-row class="pl-6">
      <v-col cols="12" md="5" style="padding-top: 35px; padding-left: 50px; ">
        <v-sheet
          min-width="300"
          max-width="800"
          height="810"
          elevation="0"
          style="border: 2px solid black; background-color: #f5f4f7; border-radius: 15px;"
        >
          <v-tabs v-model="tab" align-tabs="center" color="#f86c04">
            <v-tab  
              style="padding-right: 20px; padding-right: 20px"
              :value="1"
              prepend-icon="mdi-coffee"
              >Drink</v-tab
            >
            <v-tab
              style="padding-right: 20px; padding-right: 20px"
              :value="2"
              prepend-icon="mdi-cupcake"
              >Dessert</v-tab
            >
            <v-tab
              style="padding-right: 20px; padding-right: 20px"
              :value="3"
              prepend-icon="mdi-hamburger"
              >Food</v-tab
            >
          </v-tabs>
          <v-window v-model="tab" style="border-radius: 15px;">
            <v-window-item :value="1">
              <ProductList :products="productStore.products1"></ProductList>
            </v-window-item>
            <v-window-item :value="2">
              <ProductList :products="productStore.products2"></ProductList>
            </v-window-item>
            <v-window-item :value="3">
              <ProductList :products="productStore.products3"></ProductList>
            </v-window-item>
          </v-window>
        </v-sheet>
      </v-col>
      <v-col cols="12" md="7">
        <v-container style="padding: 0px">
          <v-row>
            <v-col cols="12" style="padding: 5px; padding-top: 35px; padding-left: 60px">
              <div ref="divReceiptItems" style="height: 279; overflow: auto">
                <v-sheet
                  min-width="300"
                  max-width="820"
                  height="450"
                  elevation="6"
                  style="border: 2px solid black; background-color: #f5f4f7; border-radius: 15px; "
                >
                  <div style="height: 279"><ReceiptDetailTable></ReceiptDetailTable></div>
                </v-sheet>
              </div>
            </v-col>
            <v-col cols="12" style="padding: 5px; padding-left: 60px">
              <v-sheet
                min-width="300"
                max-width="820"
                height="80"
                elevation="6"
                style="border: 2px solid black; background-color: #f5f4f7; border-radius: 15px; "
              >
                <MemberCard></MemberCard>
              </v-sheet>
            </v-col>
            <v-col cols="12" style="padding: 5px; padding-left: 60px">
              <v-sheet
                min-width="300"
                max-width="820"
                height="170"
                elevation="6"
                style="border: 2px solid black; background-color: #f5f4f7; border-radius: 15px;"
              >
                <ReceiptCard></ReceiptCard>
              </v-sheet>
            </v-col>
            <v-col cols="12" style="padding: 5px; padding-left: 60px">
              <v-sheet
                min-width="300" 
                max-width="820"
                height="80"
                elevation="6"
                style="border: 2px solid black; background-color: #f5f4f7; border-radius: 15px;"
              >
                <POSBtn></POSBtn>
              </v-sheet>
            </v-col>
          </v-row>
        </v-container>
      </v-col>
    </v-row>
    <Dialog></Dialog>
  </v-containner>
</div>
</template>
<style scoped>
.v-tabs .v-tab {
  /* background-color: rgb(201, 136, 96); สีของ tab ที่ไม่ได้ถูกเลือก */
  background-color: white;
  color: black; /* สีของข้อความของ tab ที่ไม่ได้ถูกเลือก */
}

.v-tabs .v-tab:hover {
  /* background-color: rgb(155, 107, 67) !important; สีของ tab เมื่อ hover */
  background-color: white;
}

.v-tab:active {
  /* background-color: rgb(155, 107, 67) !important; สีของ tab ที่ถูกเลือก */
  background-color: white;
  color: black !important; /* สีของข้อความของ tab ที่ถูกเลือก */
}

.page-container {
  display: flex;
  justify-content: center;
}

.no-border .v-tabs-bar {
  border-bottom: none;
}


/* CSS styles for the component */

</style>